Core - Task # 55572

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend
Feature # 39721 (Resolved): Remove Prototype and script.aculo.us JavaScript libraries

Status: Resolved Priority: Should have
Author: Daniel Siepmann Category: IRRE

Created: 2014-02-02 Assigned To: Daniel Siepmann
Updated: 2015-01-30 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: hard

Sprint Focus: On Location Sprint

Subject: Switch IRRE to jQuery

Description

Currently the JavaScript for IRRE is a mix of Prototype and script.aculo.us.

Make usage of jQuery and RequiredS and refactor the code to deliver a public APl and use an internal API.
Remove inline JS from Buttons and initialization.

Use public API and event handler instead of inline JavaScript on buttons.

Use PageRenderer->addlnlineSetting and proper classes and data attributes on elements instead of manual inline JavaScript.

We already fixed Sortable by switching to jQuery-Ul #51768.

Related issues:

related to Core - Task # 46357: Move TCEForms JS Code to external file - part 1 Resolved 2013-03-16
related to Core - Task # 46364: Refactored JS for IRRE elements Closed 2013-03-16
related to Core - Bug # 51768: IRRE - drag and drop sorting of items not poss... Resolved 2014-04-20
related to Core - Task # 58475: Change IRRE Javascript code to jQuery Resolved 2014-05-04
History

#1 - 2014-02-02 11:06 - Daniel Siepmann
- Parent task set to #55575

#2 - 2014-02-02 11:28 - Daniel Siepmann
- Parent task changed from #55575 to #39721

#3 - 2014-02-02 11:29 - Daniel Siepmann
- Tracker changed from Feature to Task

#4 - 2014-03-10 11:41 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28213

#5 - 2014-03-11 12:25 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
https://review.typo3.org/28213

It is available at https://review.typo3.org/28213

#6 - 2014-03-11 13:48 - Daniel Siepmann

We should split this into multiple sub tasks for easier refactoring and reviews.

#7 - 2014-07-11 14:07 - Markus Klein

| blocked the issue until #58475 is done

#8 - 2015-01-29 13:56 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/28213

#9 - 2015-01-29 18:39 - Tymoteusz Motylewski
- Sprint Focus set to On Location Sprint

#10 - 2015-01-30 10:02 - Benjamin Mack

- Status changed from Under Review to Resolved

all in!
